.component.component-attachment-instant-input
    .columns(*ngIf='!preview')
        .column
            p.control
            label.button.is-primary
                span {{ "zea2-admin.m.ui.common.image-file-input.select" | translate }}
                input.input(type="file", (change)="onFileChange($event)", [readonly]='readonly')
    .media(*ngIf='!!preview')
        .media-left
            .fa-container
                a([href]='downloadFile(preview)', target="_blank")
                    i.fa.fa-file-o
        .media-content
            .content
                h4 {{ getFileName(preview) }}
                h5 {{ getDateUploaded(preview) }}
        .media-right
            button.button(type='button', (click)="destroy()", [disabled]='readonly')
                span.icon
                    i.fa.fa-trash-o
